
// Autore: Giuliano Pellegrini Parisi
//
// Classe: 3^Inf. Sirio
//
// Data: 26 marzo 2009
//
// Oggetto: implementazione libreria fbblNumeriInteri
//
// Release: 0.1

namespace fbblNumeriInteri
{
    public class StrumentiNumeriInteri
    {
        static public bool Divisore(int Numero,int Divisore)
        {
            int Resto;
            bool Esito;

            Resto = Numero % Divisore;

            if (Resto==0)
            {
                Esito = true;
            }
            else
            {
                Esito = false;
            }

            return Esito;

        }

        static public int NumeroDivisori(int Numero)
        { 
            int Valore;
            int ContatoreDivisori;

            ContatoreDivisori=0;

            for (Valore = 1; Valore <= Numero;Valore++)
            {
                if (Divisore(Numero,Valore))
                {
                    ContatoreDivisori++;
                }
            }

            return ContatoreDivisori;

        }

    }
}
